Get Payment Link Details
GET
https://api-pay.monoova.com/v1/web/payment-links/{id}
Path Parameters
- idstringrequiredDescription
Responses
200
- PaymentLinkResponse
- merchantReferencestringrequiredExample
- paymentUrlstring<uri>requiredExampleFormaturi
- expirystring<date-time>requiredExampleFormatdate-time
- statusPaymentLinkStatusrequiredExample
- amountnumber<decimal>requiredExampleFormatdecimal
- currencystringrequiredExample
- narrativestringExample
- paymentTimestampstring<date-time>Formatdate-time
- additionalNotesstring
- paymentMethodUsedPaymentMethodExample
- payerPayerDisplay
- firstNamestringExample
- lastNamestringExample
- emailAddressstring<email>ExampleFormatemail
- brandingWhiteLabelDisplay
- merchantNamestringExample
- logostring<uri>Formaturi
- enabledPaymentMethodsPaymentMethod[]required
- payToPayToDetails
- agreementPayToAgreementrequired
- paymentAgreementUIDstringDescription
- paymentTermsPayToPaymentTermsrequired
- amountnumber<decimal>ExampleDescriptionFormatdecimalMinimum0.01
- maximumAmountnumber<decimal>ExampleDescriptionFormatdecimalMinimum0.01
- numberOfTransactionsPermittedinteger<int32>ExampleDescriptionFormatint32
- frequencystring<ADHO | DAIL | WEEK | FRTN | MNTH | QURT | MIAN | YEAR>ExampleDescriptionAllowedADHODAILWEEKFRTNMNTHQURTMIANYEAR
- pointInTimestringExampleDescription
- agreementTypestring<FIXE | USGB | VARI>ExampleDescriptionAllowedFIXEUSGBVARI
- paymentDetailsPayToAgreementPaymentDetailsrequired
- descriptionstringExampleDescriptionMax Length140
- shortDescriptionstringExampleDescriptionMax Length35
- purposestring<MORT | UTIL | LOAN | DEPD | GAMP | RETL | SALA | PERS | GOVT | PENS | TAXS | OTHR>ExampleDescriptionAllowedMORTUTILLOANDEPDGAMPRETLSALAPERSGOVTPENSTAXSOTHR
- startDatestring<date>ExampleDescriptionFormatdate
- endDatestring<date>ExampleDescriptionFormatdate
- automaticRenewalbooleanExampleDescription
- actionPayToAgreementActionDescription
- actionTypestring
- messagestring
- statusCodeinteger
- payeeDetailsPayeerequiredDescription
- payeeTypestring<ORGN | PERS>DescriptionAllowedORGNPERS
- payeeLinkedBsbstringExampleDescription
- payeeLinkedAccountstringExampleDescriptionMax Length28
- payeeLinkedPayIdstringExampleDescription
- payeeLinkedPayIdTypestringExampleDescription
- payeeAccountNamestringExampleDescriptionMax Length140
- ultimatePayeestringExampleDescriptionMax Length140
- paymentPayToPaymentInitiation
- paymentInitiationUIDstringExampleDescription
- actionPayToPaymentActionDescription
- statusReasonCodestringExampleDescription
- statusReasonDescriptionstringExampleDescription
- paymentResultPaymentResultDisplay
- transactionIdstringExample
- lastFourstringExample
404
410
- ProblemDetails
- typestringExample
- titlestringExample
- statusintegerExample
- detailstringExample
curl
curl --request GET \
--url https://api-pay.monoova.com/v1/web/payment-links/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api-pay.monoova.com/v1/web/payment-links/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api-pay.monoova.com/v1/web/payment-links/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api-pay.monoova.com/v1/web/payment-links/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Payment link found
{
"merchantReference": "ref_123456",
"paymentUrl": "https://payment.example.com/pay/ref_123456",
"expiry": "2026-05-30T12:00:00Z",
"status": "Active",
"amount": 100.5,
"currency": "AUD",
"narrative": "Invoice",
"paymentTimestamp": "",
"additionalNotes": "",
"paymentMethodUsed": "Card",
"payer": {
"firstName": "John",
"lastName": "Doe",
"emailAddress": "[email protected]"
},
"branding": {
"merchantName": "Acme Corp",
"logo": ""
},
"enabledPaymentMethods": [
""
],
"payTo": {
"agreement": {
"paymentAgreementUID": "",
"paymentTerms": {
"amount": 100,
"maximumAmount": 150,
"numberOfTransactionsPermitted": 12,
"frequency": "MNTH",
"pointInTime": "EndOfMonth",
"agreementType": "VARI"
},
"paymentDetails": {
"description": "Monthly subscription",
"shortDescription": "Sub",
"purpose": "RETL",
"startDate": "2026-05-01",
"endDate": "2026-12-31",
"automaticRenewal": true
},
"action": {
"actionType": "",
"message": "",
"statusCode": 0
}
},
"payeeDetails": {
"payeeType": "",
"payeeLinkedBsb": "012-345",
"payeeLinkedAccount": "123456789",
"payeeLinkedPayId": "+61-422020901",
"payeeLinkedPayIdType": "PhoneNumber",
"payeeAccountName": "Acme Corp",
"ultimatePayee": "Acme Corporation"
},
"payment": {
"paymentInitiationUID": "PLS-PI-abc12345-1234567890",
"action": {
"statusReasonCode": "INITIATED",
"statusReasonDescription": "Payment initiation successful"
}
}
},
"paymentResult": {
"transactionId": "txn_123456",
"lastFour": "4242"
}
}404
// Payment link not found
410
// Payment link has expired
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "Problem Details",
"status": 400,
"detail": "Bearer token is required."
}